Skip to content

Platform

This resource provides platform functionality that enables platforms to onboard merchants onto Glomo, with each merchant having their own dedicated Virtual Accounts (VA).

Onboard a merchant

Request

Allows platforms to onboard a new merchant onto Glomo.

Security
JWT
Bodyapplication/jsonrequired
namestringrequired

Name of the merchant business

Example:"Child Business Name"
address_line1stringrequired

Primary address line

Example:"456 Commerce Street"
address_line2string

Secondary address line (optional)

Example:"Suite 101"
citystringrequired

City name

Example:"Mumbai"
statestringrequired

State or province

Example:"Maharashtra"
pincodestringrequired

Postal/ZIP code

Example:"400001"
registration_numberstringrequired

Business registration number

Example:"REG123456"
registration_countrystringrequired

Country where the business is registered (ISO 3166-1 alpha-3)

Example:"IND"
categorystringrequired

Merchant business category

Enum:"Agricultural Services""Contracted Services""Transportation Services""Telecommunications""Utilities""Retail and Goods""Financial Services""Business Services""Professional Services""Government Services"
Example:"Agricultural Services"
sub_categorystringrequired

Merchant business sub-category (must be paired with correct category, check examples)

Enum:"Veterinary Services""Agricultural Cooperatives""Horticultural and Landscaping Services""General Contractors—Residential and Commercial""Air Conditioning Heating and Plumbing Contractors""Electrical Contractors""Insulation Masonry Plastering Stonework and Tile Setting Contractors""Carpentry Contractors""Roofing and Siding Sheet Metal Work Contractors""Concrete Work Contractors"
Example:"Veterinary Services"
operation_countriesArray of stringsrequired

List of countries where the merchant operates

Example:
[ "IND", "USA" ]
entity_typestringrequired

Type of entity

Value:"individual"
Example:"individual"
Discriminator
date_of_birthstring, (date)required

Date of birth. Format YYYY-MM-DD

Example:"2001-08-04"
genderstringrequired

Gender

Enum:"male""female""undefined"
Example:"male"
passportobjectrequired

Passport identification

POST
/platform/merchants
curl -i -X POST \
  https://api.glomopay.com/api/v1/platform/merchants \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "John Doe",
    "address_line1": "456 Commerce Street",
    "address_line2": "Suite 101",
    "city": "Mumbai",
    "state": "Maharashtra",
    "pincode": "400001",
    "registration_number": "REG123456",
    "registration_country": "IND",
    "entity_type": "individual",
    "category": "Agricultural Services",
    "sub_category": "Veterinary Services",
    "operation_countries": [
      "IND"
    ],
    "date_of_birth": "2001-08-04",
    "gender": "male",
    "passport": {
      "number": "P1234567",
      "expiry_date": "2030-06-01",
      "country_of_issuance": "IND"
    }
  }'

Responses

Merchant onboarded successfully

Bodyapplication/json
messagestring

Success message

Example:"Merchant created successfully!"
dataobject(Merchant)
Response
{ "message": "Merchant created successfully!", "data": { "owner_merchant_id": "merch_68511919RVuf6", "merchant_id": "merch_68c777fcOOMpl", "status": "success", "name": "John Doe", "category": "Agricultural Services", "entity_type": "individual", "sub_category": "Veterinary Services", "gender": "male", "date_of_birth": "2001-08-04", "registration_number": "REG123456", "registration_country": "IND", "address": {}, "operation_countries": [], "created_at": "2025-10-07T06:11:47Z", "updated_at": "2025-10-07T06:11:47Z", "jwt_token": "child_merchant_JWT", "public_key": "live_6889e287VfqrPVPg" } }